#!/bin/sh

# Copyright (c) PoroCYon 2017
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://www.wtfpl.net/ for more details.

trap 'reset; rm -f /tmp/rms.png' 1 2 3 6 15

set -e

wget https://i.redd.it/aok2a6uwtdjx.png -O/tmp/rms.png >/dev/null 2>&1

put() {
    echo -e "$@"
}

clear; put "\n"

# turn off cursor
printf '\033[?25l'

put "    I was reading the TMDC20 FAQ, when suddenly..."|pv -qL15
put "\n\n"
curl "http://tmdc.scene.org/index.php?nav=FAQ" 2>/dev/null|grep linux -A2|head -4|sed 's/<.*>//g'|pv -qlL1
sleep 3

clear; put "\n\n\n"
printf '\033[5;1;31m\t\tThis is unacceptable!\033[m\n'
put "\n"
sleep 2

img2txt -W100 -dnone -futf8 /tmp/rms.png
sleep 3

rm -f /tmp/rms.png
reset

echo "Made in <1 h by PoroCYon"
echo "Install Gentoo!"

